const o = (e) => {
  let n = !1;
  if (process.env.NODE_ENV === "production")
    return () => {
    };
  const d = Array.isArray(e) ? e.join(`
`) : e;
  return (t) => {
    const a = Object.entries(t).filter(([, r]) => r !== void 0).map(([r]) => `- ${r}`);
    !n && a.length > 0 && (n = !0);
  };
};
export {
  o as buildDeprecatedPropsWarning
};
